summaryrefslogtreecommitdiff
path: root/dev-python/django-filter
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/django-filter
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/django-filter')
-rw-r--r--dev-python/django-filter/Manifest1
-rw-r--r--dev-python/django-filter/django-filter-25.2.ebuild41
-rw-r--r--dev-python/django-filter/metadata.xml13
3 files changed, 55 insertions, 0 deletions
diff --git a/dev-python/django-filter/Manifest b/dev-python/django-filter/Manifest
new file mode 100644
index 000000000000..9a7c0c5594af
--- /dev/null
+++ b/dev-python/django-filter/Manifest
@@ -0,0 +1 @@
+DIST django-filter-25.2.gh.tar.gz 140478 BLAKE2B 1d4ac9aa7023c6049d4a42cb2bc3113b7b38ac1283ad957f3b66a815a7e519fcee30ed34d69973eb329fb95d5e7ecead1505623abefab9e28b87cda7972acd8d SHA512 9bbe21af68e94974f554d1c72053bda75ae35c069b9df7066e5c8b091f90a44244cbc5340b7a8556b6a46c25d8fc26c11f2457f815378314c4bce7e8ece3765a
diff --git a/dev-python/django-filter/django-filter-25.2.ebuild b/dev-python/django-filter/django-filter-25.2.ebuild
new file mode 100644
index 000000000000..866d4d953df7
--- /dev/null
+++ b/dev-python/django-filter/django-filter-25.2.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from URL parameters"
+HOMEPAGE="
+ https://github.com/carltongibson/django-filter/
+ https://pypi.org/project/django-filter/
+"
+SRC_URI="
+ https://github.com/carltongibson/django-filter/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/django-5.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/djangorestframework[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ local -x DJANGO_SETTINGS_MODULE=tests.settings
+ "${EPYTHON}" -m django test -v 2 || die
+}
diff --git a/dev-python/django-filter/metadata.xml b/dev-python/django-filter/metadata.xml
new file mode 100644
index 000000000000..f441113ea6e1
--- /dev/null
+++ b/dev-python/django-filter/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches />
+ <upstream>
+ <remote-id type="cpe">cpe:/a:django-filter_project:django-filter</remote-id>
+ </upstream>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>